source ~/.config/nushell/.zoxide.nu
use ($nu.default-config-dir | path join mise.nu)

# Aliases

# General aliases
alias cl = clear
alias ll = ls -la
alias e = vim
alias se = sudoedit
alias cd.. = cd ../
alias rmrf = rm -rf
alias czm = chezmoi

# chezmoi aliases
alias ce = chezmoi edit --watch
alias ce-env = chezmoi edit --watch ~/.config/nushell/env.nu
alias ce-shell = chezmoi edit --watch ~/.config/nushell/config.nu
alias ccd = cd ~/.local/share/chezmoi

# overrides of defaults
alias mkdir = mkdir 
alias cp = cp -r
alias scp = scp -r
alias apt = sudo apt
alias docker = sudo docker
alias sctl = sudo systemctl
alias usctl = systemctl --user
alias doco = sudo docker-compose

# z is a weird key to hit frequently, i like j much more
alias j = z

# cargoes and rust-s
alias c = cargo
alias cr = cargo run
alias cb = cargo build
alias ct = cargo test
alias cwr = cargo watch -x run

# rubies
alias be = bundle exec

# cd into a temp directory, very useful!
alias mkt = cd (mktemp -d)

# git aliases
alias lg = lazygit
alias g = git
alias ga = git add
alias gaa = git add --all
alias gs = git status --short
alias gpl = git pull
alias gps = git push
alias gb = git branch

def gqp [] {
  git add --all; git commit; git push
}

