-- Markup languages (mostly Markdown, TeX, and Typst)

return {
  {
    "OXY2DEV/markview.nvim",
    lazy = false,
    opts = {
      preview = {
        icon_provider = "mini",
      },
    },
  },
  {
    "chomosuke/typst-preview.nvim",
    lazy = false,
    version = "1.*",
    opts = {},
    keys = {
      { "<leader>mpp", "<cmd>TypstPreview<cr>", desc = "Start preview", ft = "typst" },
      { "<leader>mpx", "<cmd>TypstPreviewStop", desc = "Stop preview", ft = "typst" },
    },
  },
}
