local o = vim.opt

o.number = true -- line numbers
o.clipboard = "unnamedplus" -- use the clipboard register
o.syntax = "on" -- syntaxxxx
o.autoindent = true -- keep indents from prev line
o.cursorline = true -- highlight bg of current line
o.expandtab = true -- in insert, handle <tab> correctly
o.shiftwidth = 2 -- 2 spaces
o.tabstop = 2 -- 2-wide tabs
o.encoding = "UTF-8" -- obligatory
o.ruler = true -- show location of cursor
o.mouse = "a" -- enable mouse on all modes
o.title = true -- update the window title
o.wildmenu = true -- get wild
o.showmatch = true -- jump to matching bracket
o.splitright = true -- split right
o.splitbelow = true -- split below
